MODULE YOMFPSC2

!    Control variables for horizontal post-processing

! -- DM distribution for arrival geometry
! NFPSORT  : Location of points in post-processing buffer
! NFPSTART : Start index of points in a working array
! NFPEND   : End index of points in a working array
! NFPROMA  : Size of working arrays for horizontal post-processing
! NFPBLOCS : Number of NFPROMA-sized blocks
! NFPBLOFF : Block offset

! -- DM distribution for departure geometry
! NFPSORT_DEP  : Location of points in post-processing buffer
! NFPSTART_DEP : Start index of points in a working array
! NFPEND_DEP   : End index of points in a working array
! NFPROMA_DEP  : Size of working arrays for horizontal post-processing
! NFPBLOCS_DEP : Number of NFPROMA_DEP-sized blocks
! NFPBLOFF_DEP : Block offset

USE PARKIND1  ,ONLY : JPIM

IMPLICIT NONE

SAVE

INTEGER(KIND=JPIM),ALLOCATABLE :: NFPSORT(:,:)
INTEGER(KIND=JPIM),ALLOCATABLE :: NFPSTART(:)
INTEGER(KIND=JPIM),ALLOCATABLE :: NFPEND(:)
INTEGER(KIND=JPIM),ALLOCATABLE :: NFPBLOFF(:)

INTEGER(KIND=JPIM) :: NFPROMA
INTEGER(KIND=JPIM) :: NFPBLOCS

INTEGER(KIND=JPIM),ALLOCATABLE :: NFPSORT_DEP(:,:)
INTEGER(KIND=JPIM),ALLOCATABLE :: NFPSTART_DEP(:)
INTEGER(KIND=JPIM),ALLOCATABLE :: NFPEND_DEP(:)
INTEGER(KIND=JPIM),ALLOCATABLE :: NFPBLOFF_DEP(:)

INTEGER(KIND=JPIM) :: NFPROMA_DEP
INTEGER(KIND=JPIM) :: NFPBLOCS_DEP

!-----------------------------------------------------------------------------

END MODULE YOMFPSC2
